package MT::Plugin::myplugin_4_2;

use MT::Template::Context;
MT::Template::Context->add_tag (BuildCount => \&build_count);

sub build_count {
	my ($ctx, $args) = @_;
	my $build_count = load_plugindata ('BuildCount');
	$build_count = 0 if (!defined $build_count);

	$build_count++;
	save_plugindata ('BuildCount', $build_count);

	return $build_count;
}

use MT::PluginData;
sub load_plugindata {
	my ($key) = @_;
	my $plugindata = MT::PluginData->load ({ plugin => __PACKAGE__, key => $key })
			or return undef;
	return $plugindata->data;
}

sub save_plugindata {
	my ($key, $data) = @_;
	my $plugindata = MT::PluginData->load ({ plugin => __PACKAGE__, key => $key });
	if (! $plugindata) {
		$plugindata = MT::PluginData->new;
		$plugindata->plugin (__PACKAGE__);
		$plugindata->key ($key);
	}
	$plugindata->data ($data);
	$plugindata->save;
}

1;